ul {
  margin-left: 0;
  padding-left: 0;
}

li {
  list-style: none;
}

input.form-control::placeholder {
  color: #aaaaaa;
}

.body-inner {
  min-height: 100vh;
}

.global-header {
  height: 40px;
  display: flex;
  background-color: #dddddd;
  padding: 0 16px;
  align-items: center;
  justify-content: center;
  font-weight: 700;
}

.global-footer {
  height: 20px;
  display: flex;
  background-color: #dddddd;
  padding: 0 16px;
  align-items: center;
  justify-content: center;
  font-size: 12px;
}

.page-body {
  min-height: calc(100vh - 40px - 20px);
}

.centering-container {
  margin-left: auto;
  margin-right: auto;
  padding: 16px;
  width: 100%;
  max-width: 640px;
}

.form-section-heading {
  font-size: 16px;
  font-weight: 400;
}

.form-area {
  margin-top: 16px;
  display: block;
  width: 100%;
  padding: 32px 16px;
  background-color: #f7f7f7;
}

.heading-h1 {
  font-size: 16px;
  font-weight: 400;
  line-height: 1.6;
}

.field-unit {
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  max-width: 320px;
}

.field-unit + .field-unit {
  margin-top: 16px;
}

.field-unit-field-row {
  display: flex;
  align-items: center;
}

.field-label {
  flex: 0 0 140px;
  font-weight: 700;
}

.field-wrapper {
  flex: 1 0 auto;
  width: 100px;
}

.unit-text {
  margin-left: 8px;
  flex: 0 0 2em;
}

.error-message-list {
  margin-left: 0;
}

.error-message-item {
  display: none;
  padding-left: 1em;
  font-size: 12px;
  color: #ff0000;
  text-indent: -1em;
}

.error-message-item::before {
  content: '・';
}

.error-message-item.is-visible {
  display: block;
  margin-top: 4px;
}

.error-message-item.is-visible + .error-message-item.is-visible {
  margin-top: 0;
}

.button-wrapper {
  margin-left: auto;
  margin-right: auto;
  width: 280px;
  margin-top: 48px;
  text-align: center;
}

.result-area {
  margin-top: 16px;
  padding: 16px;
  background-color: #f7f7f7;
  text-align: center;
}

.result-heading {
  font-size: 16px;
  font-weight: 400;
}

.result-amount-row {
  display: inline-flex;
  align-items: center;
}

.result-amount-num {
  font-weight: 700;
  font-size: 20px;
}

.result-amount-unit {
  margin-left: 8px;
  font-weight: 700;
  font-size: 20px;
}

.principal-amount-total-section {
  margin-top: 16px;
}

.principal-amount-total-heading {
  font-size: 12px;
  font-weight: 400;
  color: #777777;
}

.principal-amount-total-row {
  display: inline-flex;
  align-items: center;
}

.principal-amount-total-num {
  font-size: 14px;
  color: #777777;
}

.principal-amount-total-unit {
  font-size: 12px;
  color: #777777;
}

.sns-share-button-list {
  margin-top: 32px;
  display: flex;
  justify-content: end;
}
